libosmogb 1.13.1.1-afb4 Osmocom Gb library

Data Fields
bssgp_bvc_ctx Struct Reference

`#include <gprs_bssgp.h>`

## Data Fields
struct llist_head | list
struct gprs_ra_id | ra_id
| parsed RA ID of the remote BTS More...
uint16_t | cell_id
| Cell ID of the remote BTS. More...
uint16_t | bvci
uint16_t | nsei
uint32_t | state
struct rate_ctr_group * | ctrg
struct bssgp_flow_control * | fc
uint32_t | bmax_default_ms
| default maximum size of per-MS bucket in octets More...
uint32_t | r_default_ms
| default bucket leak rate of per-MS bucket in octests/s More...
bool | is_sgsn
| BSS or SGSN. More...

## Field Documentation

## ◆ bmax_default_ms

uint32_t bssgp_bvc_ctx::bmax_default_ms

default maximum size of per-MS bucket in octets

Referenced by bssgp_fc_ms_init(), and bssgp_rx_fc_bvc().

## ◆ bvci

uint16_t bssgp_bvc_ctx::bvci

Referenced by bssgp_rx_fc_bvc(), bssgp_rx_llc_disc(), bssgp_rx_ptp(), bssgp_rx_sign(), bssgp_rx_ul_ud(), bssgp_tx_bvc_block(), bssgp_tx_bvc_ptp_reset(), bssgp_tx_bvc_unblock(), bssgp_tx_fc_bvc(), bssgp_tx_fc_ms(), bssgp_tx_llc_discarded(), bssgp_tx_ra_capa_upd(), bssgp_tx_ul_ud(), btsctx_alloc(), btsctx_by_bvci_nsei(), common_tx_radio_status(), and dump_bvc().

## ◆ cell_id

uint16_t bssgp_bvc_ctx::cell_id

Cell ID of the remote BTS.

Referenced by bssgp_rx_bvc_reset(), bssgp_tx_bvc_reset2(), bssgp_tx_ul_ud(), btsctx_by_raid_cid(), and dump_bvc().

## ◆ ctrg

struct rate_ctr_group* bssgp_bvc_ctx::ctrg

Referenced by bssgp_bvc_ctx_free(), bssgp_rcvmsg(), bssgp_rx_bvc_block(), bssgp_rx_llc_disc(), bssgp_rx_status(), bssgp_tx_dl_ud(), bssgp_tx_ul_ud(), btsctx_alloc(), and dump_bvc().

## ◆ fc

struct bssgp_flow_control* bssgp_bvc_ctx::fc

Referenced by bssgp_bvc_ctx_free(), bssgp_flush_all_queues(), bssgp_rx_fc_bvc(), bssgp_tx_dl_ud(), btsctx_alloc(), and dump_bvc().

## ◆ is_sgsn

bool bssgp_bvc_ctx::is_sgsn

BSS or SGSN.

This defines the local state.

Referenced by bssgp_rx_bvc_reset(), and btsctx_alloc().

## ◆ list

struct llist_head bssgp_bvc_ctx::list

Referenced by bssgp_bvc_ctx_free(), and btsctx_alloc().

## ◆ nsei

uint16_t bssgp_bvc_ctx::nsei

Referenced by bssgp_rx_ul_ud(), bssgp_tx_bvc_block(), bssgp_tx_bvc_ptp_reset(), bssgp_tx_bvc_reset2(), bssgp_tx_bvc_unblock(), bssgp_tx_fc_bvc(), bssgp_tx_fc_ms(), bssgp_tx_flush_ll_ack(), bssgp_tx_llc_discarded(), bssgp_tx_ra_capa_upd(), bssgp_tx_ul_ud(), btsctx_alloc(), btsctx_by_bvci_nsei(), common_tx_radio_status(), DEFUN(), and dump_bvc().

## ◆ r_default_ms

uint32_t bssgp_bvc_ctx::r_default_ms

default bucket leak rate of per-MS bucket in octests/s

Referenced by bssgp_fc_ms_init(), and bssgp_rx_fc_bvc().

## ◆ ra_id

struct gprs_ra_id bssgp_bvc_ctx::ra_id

parsed RA ID of the remote BTS

Referenced by bssgp_rx_bvc_reset(), bssgp_tx_bvc_reset2(), bssgp_tx_ul_ud(), btsctx_by_raid_cid(), and dump_bvc().

## ◆ state

uint32_t bssgp_bvc_ctx::state

Referenced by bssgp_rx_bvc_block(), bssgp_rx_bvc_reset(), bssgp_rx_bvc_unblock(), bssgp_rx_ptp(), and dump_bvc().

The documentation for this struct was generated from the following file:

- include/osmocom/gprs/gprs_bssgp.h